/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package telas;

/**
 *
 * @author sala302b
 */
public class JFramePrincipal extends javax.swing.JFrame {

    /**
     * Creates new form JFramePrincipal
     */
    public JFramePrincipal() {
        initComponents();
        this.setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Logo = new javax.swing.JLabel();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuItemCadCli = new javax.swing.JMenuItem();
        jMenuItemCadAut = new javax.swing.JMenuItem();
        jMenuItemCadGen = new javax.swing.JMenuItem();
        jMenuItemCadLiv = new javax.swing.JMenuItem();
        jMenu3 = new javax.swing.JMenu();
        jMenuItemNewEmpre = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        jMenuItemBuscCli = new javax.swing.JMenuItem();
        jMenuItemBuscLiv = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        Logo.setFont(new java.awt.Font("Verdana", 0, 48)); // NOI18N
        Logo.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Logo.setText("SysBook");
        Logo.setToolTipText("");

        jMenu1.setText("Cadastro");

        jMenuItemCadCli.setText("Cliente");
        jMenuItemCadCli.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadCliActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItemCadCli);

        jMenuItemCadAut.setText("Autor");
        jMenuItemCadAut.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadAutActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItemCadAut);

        jMenuItemCadGen.setText("Gênero");
        jMenuItemCadGen.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadGenActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItemCadGen);

        jMenuItemCadLiv.setText("Livro");
        jMenuItemCadLiv.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadLivActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItemCadLiv);

        jMenuBar1.add(jMenu1);

        jMenu3.setText("Emprestimo");

        jMenuItemNewEmpre.setText("Novo Emprestimo");
        jMenuItemNewEmpre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemNewEmpreActionPerformed(evt);
            }
        });
        jMenu3.add(jMenuItemNewEmpre);

        jMenuBar1.add(jMenu3);

        jMenu2.setText("Buscar");

        jMenuItemBuscCli.setText("Cliente");
        jMenuItemBuscCli.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemBuscCliActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItemBuscCli);

        jMenuItemBuscLiv.setText("Livro");
        jMenuItemBuscLiv.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemBuscLivActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItemBuscLiv);

        jMenuBar1.add(jMenu2);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(99, Short.MAX_VALUE)
                .addComponent(Logo)
                .addGap(96, 96, 96))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(32, 32, 32)
                .addComponent(Logo)
                .addContainerGap(187, Short.MAX_VALUE))
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jMenuItemCadAutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadAutActionPerformed
        new JFrameCstAutor();
    }//GEN-LAST:event_jMenuItemCadAutActionPerformed

    private void jMenuItemBuscCliActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemBuscCliActionPerformed
        new JFramePesquisaCli();
    }//GEN-LAST:event_jMenuItemBuscCliActionPerformed

    private void jMenuItemCadCliActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadCliActionPerformed
        new JFrameCstCliente();
    }//GEN-LAST:event_jMenuItemCadCliActionPerformed

    private void jMenuItemCadGenActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadGenActionPerformed
        new JFrameCstGenero();
    }//GEN-LAST:event_jMenuItemCadGenActionPerformed

    private void jMenuItemCadLivActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadLivActionPerformed
       new JFrameCstLivro();
    }//GEN-LAST:event_jMenuItemCadLivActionPerformed

    private void jMenuItemNewEmpreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemNewEmpreActionPerformed
        new JFrameEmprestimo();
    }//GEN-LAST:event_jMenuItemNewEmpreActionPerformed

    private void jMenuItemBuscLivActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemBuscLivActionPerformed
        new JFramePesquisaLivro();
    }//GEN-LAST:event_jMenuItemBuscLivActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(JFramePrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(JFramePrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(JFramePrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(JFramePrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new JFramePrincipal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel Logo;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItemBuscCli;
    private javax.swing.JMenuItem jMenuItemBuscLiv;
    private javax.swing.JMenuItem jMenuItemCadAut;
    private javax.swing.JMenuItem jMenuItemCadCli;
    private javax.swing.JMenuItem jMenuItemCadGen;
    private javax.swing.JMenuItem jMenuItemCadLiv;
    private javax.swing.JMenuItem jMenuItemNewEmpre;
    // End of variables declaration//GEN-END:variables
}
